# class Byebug::InterruptCommand

Interrupting execution of current thread.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/interrupt.rb, line 16
        def self.description
          <<-DESCRIPTION
            int[errupt]

            #{short_description}
          DESCRIPTION
        end

regexp() click to toggle source

    # File lib/byebug/commands/interrupt.rb, line 12
    def self.regexp
      /^\s*int(?:errupt)?\s*$/
    end

short_description() click to toggle source

    # File lib/byebug/commands/interrupt.rb, line 24
    def self.short_description
      "Interrupts the program"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/interrupt.rb, line 28
    def execute
      Byebug.start

      Byebug.thread_context(Thread.main).interrupt
    end